Package org.zkoss.bind.init

## Class ViewModelAnnotationResolvers

- java.lang.Object
- - org.zkoss.bind.init.ViewModelAnnotationResolvers

- All Implemented Interfaces:
    `AggregationListener`

      public class ViewModelAnnotationResolvers
      extends java.lang.Object
      implements AggregationListener

  An aggregating view model annotation resolvers.
  Since:
    9.6.0
  Author:
    jameschu
  See Also:
    `ViewModelAnnotationResolver`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViewModelAnnotationResolvers()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class clazz, java.lang.Class<T> annotationClass)` | Get the specific annotation from the class
    `static <T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.reflect.Method method, java.lang.Class<T> annotationClass)` | Get the specific annotation from the method
    `static java.lang.reflect.Method` | `getOriginalMethod​(java.lang.Object base, java.lang.reflect.Method method)` | Get original method (if proxied)
    `boolean` | `isHandled​(java.lang.Class<?> klass)` | Returns whether the given class is handled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewModelAnnotationResolvers

          public ViewModelAnnotationResolvers()

  - ### Method Detail

    - #### isHandled

          public boolean isHandled​(java.lang.Class<?> klass)

      Description copied from interface: `AggregationListener`
      Returns whether the given class is handled.
      Specified by:
        `isHandled` in interface `AggregationListener`

    - #### getAnnotation

          public static <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.reflect.Method method,
                                                                                    java.lang.Class<T> annotationClass)

      Get the specific annotation from the method
      Parameters:
        `method` -
        `annotationClass` -
      Returns:
        T annotation
      Since:
        9.6.0

    - #### getAnnotation

          public static <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class clazz,
                                                                                    java.lang.Class<T> annotationClass)

      Get the specific annotation from the class
      Parameters:
        `clazz` -
        `annotationClass` -
      Returns:
        T annotation
      Since:
        9.6.0

    - #### getOriginalMethod

          public static java.lang.reflect.Method getOriginalMethod​(java.lang.Object base,
                                                                   java.lang.reflect.Method method)

      Get original method (if proxied)
      Parameters:
        `base` -
        `method` -
      Returns:
        Method
      Since:
        9.6.0